Subject: [core] Mail regarding draft-zcao-core-speedy-blocktran

From: Jim Schaad <[email-masked]>
Date: Fri, 29 Mar 2019 20:34:25 +0100

In today's F2F meeting one of the reasons for doing this that was brought up
was that this would be more efficient under a TCP situation.  I would like
to point out that the BERT extension in the TCP (Section 6 of RFC 8323) is
designed so that multiples of 1024B blocks can be sent as a single block
operation.  Additionally, it would be possible to just get an entire huge
response in a single GET although this may cause problems with the network
processing for the device.  

For these reasons I do not believe that this is a protocol that should ever
be thought of as running over a reliable transport.  Much better options
already exist.

Jim